Loading...
Searching...
No Matches
itk::GridScheduleComputer< TTransformScalarType, VImageDimension > Class Template Reference
Components » Transforms

`#include <itkGridScheduleComputer.h>`

## Detailed Description

template<typename TTransformScalarType, unsigned int VImageDimension>
class itk::GridScheduleComputer< TTransformScalarType, VImageDimension >

This class computes all information about the B-spline grid, given the image information and the desired grid spacing.

NB: the Direction Cosines of the B-spline grid are set identical to the user-supplied ImageDirection.

Definition at line 40 of file itkGridScheduleComputer.h.

Inheritance diagram for itk::GridScheduleComputer< TTransformScalarType, VImageDimension >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DirectionType = typename ImageBaseType::DirectionType
using | GridSpacingFactorType = SpacingType
using | ImageBaseType = ImageBase<Self::Dimension>
using | OriginType = typename ImageBaseType::PointType
using | Pointer = SmartPointer<Self>
using | PointType = typename ImageBaseType::PointType
using | RegionType = typename ImageBaseType::RegionType
using | Self = GridScheduleComputer
using | SizeType = typename ImageBaseType::SizeType
using | SpacingType = typename ImageBaseType::SpacingType
using | Superclass = Object
using | TransformConstPointer = typename TransformType::ConstPointer
using | TransformPointer = typename TransformType::Pointer
using | TransformScalarType = TTransformScalarType
using | TransformType = Transform<TransformScalarType, Self::Dimension, Self::Dimension>
using | VectorDirectionType = std::vector<DirectionType>
using | VectorGridSpacingFactorType = std::vector<GridSpacingFactorType>
using | VectorOriginType = std::vector<OriginType>
using | VectorRegionType = std::vector<RegionType>
using | VectorSpacingType = std::vector<SpacingType>

## Public Member Functions

virtual void | ComputeBSplineGrid ()
virtual void | GetBSplineGrid (unsigned int level, RegionType &gridRegion, SpacingType &gridSpacing, OriginType &gridOrigin, DirectionType &gridDirection)
virtual unsigned int | GetBSplineOrder () const
virtual const char * | GetClassName () const
virtual SpacingType | GetFinalGridSpacing () const
virtual DirectionType | GetImageDirection () const
virtual OriginType | GetImageOrigin () const
virtual RegionType | GetImageRegion () const
virtual SpacingType | GetImageSpacing () const
virtual void | GetSchedule (VectorGridSpacingFactorType &schedule) const
| ITK_DISALLOW_COPY_AND_MOVE (GridScheduleComputer)
| itkStaticConstMacro (Dimension, unsigned int, VImageDimension)
virtual void | SetBSplineOrder (unsigned int _arg)
virtual void | SetDefaultSchedule (unsigned int levels, double upsamplingFactor)
virtual void | SetFinalGridSpacing (SpacingType _arg)
virtual void | SetImageDirection (DirectionType _arg)
virtual void | SetImageOrigin (OriginType _arg)
virtual void | SetImageRegion (RegionType _arg)
virtual void | SetImageSpacing (SpacingType _arg)
virtual void | SetInitialTransform (const TransformType *_arg)
virtual void | SetSchedule (const VectorGridSpacingFactorType &schedule)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

virtual void | ApplyInitialTransform (OriginType &imageOrigin, SpacingType &imageSpacing, DirectionType &imageDirection, SpacingType &finalGridSpacing) const
virtual unsigned int | GetNumberOfLevels () const
| GridScheduleComputer ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GridScheduleComputer () override=default

## Protected Attributes

VectorDirectionType | m_GridDirections {}
VectorOriginType | m_GridOrigins {}
VectorRegionType | m_GridRegions {}
VectorGridSpacingFactorType | m_GridSpacingFactors {}
VectorSpacingType | m_GridSpacings {}
TransformConstPointer | m_InitialTransform {}

## Private Member Functions

virtual void | SetUpsamplingFactor (float _arg)

## Private Attributes

unsigned int | m_BSplineOrder {}
SpacingType | m_FinalGridSpacing {}
DirectionType | m_ImageDirection {}
OriginType | m_ImageOrigin {}
RegionType | m_ImageRegion {}
SpacingType | m_ImageSpacing {}
unsigned int | m_NumberOfLevels {}
float | m_UpsamplingFactor {}

## Member Typedef Documentation

## ConstPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkGridScheduleComputer.h.

## DirectionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::DirectionType = typename ImageBaseType::DirectionType

Definition at line 66 of file itkGridScheduleComputer.h.

## GridSpacingFactorType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GridSpacingFactorType = SpacingType

Definition at line 69 of file itkGridScheduleComputer.h.

## ImageBaseType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::ImageBaseType = ImageBase<Self::Dimension>

Definition at line 62 of file itkGridScheduleComputer.h.

## OriginType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::OriginType = typename ImageBaseType::PointType

Definition at line 64 of file itkGridScheduleComputer.h.

## Pointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkGridScheduleComputer.h.

## PointType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::PointType = typename ImageBaseType::PointType

Definition at line 63 of file itkGridScheduleComputer.h.

## RegionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::RegionType = typename ImageBaseType::RegionType

Definition at line 68 of file itkGridScheduleComputer.h.

## Self

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::Self = GridScheduleComputer

Standard class typedefs.

Definition at line 46 of file itkGridScheduleComputer.h.

## SizeType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SizeType = typename ImageBaseType::SizeType

Definition at line 67 of file itkGridScheduleComputer.h.

## SpacingType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SpacingType = typename ImageBaseType::SpacingType

Definition at line 65 of file itkGridScheduleComputer.h.

## Superclass

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::Superclass = Object

Definition at line 47 of file itkGridScheduleComputer.h.

## TransformConstPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::TransformConstPointer = typename TransformType::ConstPointer

Definition at line 79 of file itkGridScheduleComputer.h.

## TransformPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::TransformPointer = typename TransformType::Pointer

Definition at line 78 of file itkGridScheduleComputer.h.

## TransformScalarType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::TransformScalarType = TTransformScalarType

Typedef's.

Definition at line 61 of file itkGridScheduleComputer.h.

## TransformType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::TransformType = Transform<TransformScalarType, Self::Dimension, Self::Dimension>

Typedefs for the initial transform.

Definition at line 77 of file itkGridScheduleComputer.h.

## VectorDirectionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::VectorDirectionType = std::vector<DirectionType>

Definition at line 72 of file itkGridScheduleComputer.h.

## VectorGridSpacingFactorType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::VectorGridSpacingFactorType = std::vector<GridSpacingFactorType>

Definition at line 74 of file itkGridScheduleComputer.h.

## VectorOriginType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::VectorOriginType = std::vector<OriginType>

Definition at line 70 of file itkGridScheduleComputer.h.

## VectorRegionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::VectorRegionType = std::vector<RegionType>

Definition at line 73 of file itkGridScheduleComputer.h.

## VectorSpacingType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::VectorSpacingType = std::vector<SpacingType>

Definition at line 71 of file itkGridScheduleComputer.h.

## Constructor & Destructor Documentation

## GridScheduleComputer()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GridScheduleComputer | ( |  | ) |

protected

The constructor.

## ~GridScheduleComputer()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::~GridScheduleComputer | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## ApplyInitialTransform()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::ApplyInitialTransform | ( | OriginType & | imageOrigin,
|  | SpacingType & | imageSpacing,
|  | DirectionType & | imageDirection,
|  | SpacingType & | finalGridSpacing ) const

protected virtual

Function to apply the initial transform, if it exists.

## ComputeBSplineGrid()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::ComputeBSplineGrid | ( |  | ) |

virtual

Compute the B-spline grid.

Reimplemented in itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >, and itk::CyclicGridScheduleComputer< CoordRepType, SpaceDimension >.

## GetBSplineGrid()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetBSplineGrid | ( | unsigned int | level,
|  | RegionType & | gridRegion,
|  | SpacingType & | gridSpacing,
|  | OriginType & | gridOrigin,
|  | DirectionType & | gridDirection )

virtual

Get the B-spline grid at some level.

## GetBSplineOrder()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual unsigned int itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetBSplineOrder | ( |  | ) | const

virtual

Get the B-spline order.

## GetClassName()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual const char * itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >, and itk::CyclicGridScheduleComputer< CoordRepType, SpaceDimension >.

## GetFinalGridSpacing()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual SpacingType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetFinalGridSpacing | ( |  | ) | const

virtual

Get the final grid spacing.

## GetImageDirection()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual DirectionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetImageDirection | ( |  | ) | const

virtual

Get the ImageDirection.

## GetImageOrigin()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual OriginType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetImageOrigin | ( |  | ) | const

virtual

Get the ImageOrigin.

## GetImageRegion()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual RegionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetImageRegion | ( |  | ) | const

virtual

Get the ImageRegion.

## GetImageSpacing()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual SpacingType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetImageSpacing | ( |  | ) | const

virtual

Get the ImageSpacing.

## GetNumberOfLevels()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual unsigned int itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetNumberOfLevels | ( |  | ) | const

protected virtual

Get number of levels.

## GetSchedule()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::GetSchedule | ( | VectorGridSpacingFactorType & | schedule | ) | const

virtual

Get the grid spacing schedule.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::ITK_DISALLOW_COPY_AND_MOVE | ( | GridScheduleComputer< TTransformScalarType, VImageDimension > |  | ) |

## itkStaticConstMacro()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::itkStaticConstMacro | ( | Dimension | ,
|  | unsigned int | ,
|  | VImageDimension | )

Dimension of the domain space.

## New()

template<typename TTransformScalarType, unsigned int VImageDimension>

Pointer itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TTransformScalarType, unsigned int VImageDimension>

void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetBSplineOrder()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetBSplineOrder | ( | unsigned int | _arg | ) |

virtual

Set the B-spline order.

## SetDefaultSchedule()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetDefaultSchedule | ( | unsigned int | levels,
|  | double | upsamplingFactor )

virtual

Set a default grid spacing schedule.

## SetFinalGridSpacing()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetFinalGridSpacing | ( | SpacingType | _arg | ) |

virtual

Set the final grid spacing.

## SetImageDirection()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetImageDirection | ( | DirectionType | _arg | ) |

virtual

Set the ImageDirection.

## SetImageOrigin()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetImageOrigin | ( | OriginType | _arg | ) |

virtual

Set the ImageOrigin.

## SetImageRegion()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetImageRegion | ( | RegionType | _arg | ) |

virtual

Set the ImageRegion.

## SetImageSpacing()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetImageSpacing | ( | SpacingType | _arg | ) |

virtual

Set the ImageSpacing.

## SetInitialTransform()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetInitialTransform | ( | const TransformType * | _arg | ) |

virtual

Set an initial Transform. Only set one if composition is used.

## SetSchedule()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetSchedule | ( | const VectorGridSpacingFactorType & | schedule | ) |

virtual

Set a grid spacing schedule.

## SetUpsamplingFactor()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual void itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::SetUpsamplingFactor | ( | float | _arg | ) |

private virtual

Clamp the upsampling factor.

## Field Documentation

## m_BSplineOrder

template<typename TTransformScalarType, unsigned int VImageDimension>

unsigned int itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_BSplineOrder {}

private

Definition at line 179 of file itkGridScheduleComputer.h.

## m_FinalGridSpacing

template<typename TTransformScalarType, unsigned int VImageDimension>

SpacingType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_FinalGridSpacing {}

private

Definition at line 181 of file itkGridScheduleComputer.h.

## m_GridDirections

template<typename TTransformScalarType, unsigned int VImageDimension>

VectorDirectionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_GridDirections {}

protected

Definition at line 154 of file itkGridScheduleComputer.h.

## m_GridOrigins

template<typename TTransformScalarType, unsigned int VImageDimension>

VectorOriginType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_GridOrigins {}

protected

Definition at line 153 of file itkGridScheduleComputer.h.

## m_GridRegions

template<typename TTransformScalarType, unsigned int VImageDimension>

VectorRegionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_GridRegions {}

protected

Definition at line 155 of file itkGridScheduleComputer.h.

## m_GridSpacingFactors

template<typename TTransformScalarType, unsigned int VImageDimension>

VectorGridSpacingFactorType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_GridSpacingFactors {}

protected

Definition at line 157 of file itkGridScheduleComputer.h.

## m_GridSpacings

template<typename TTransformScalarType, unsigned int VImageDimension>

VectorSpacingType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_GridSpacings {}

protected

Declare member variables, needed for B-spline grid.

Definition at line 152 of file itkGridScheduleComputer.h.

## m_ImageDirection

template<typename TTransformScalarType, unsigned int VImageDimension>

DirectionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_ImageDirection {}

private

Definition at line 178 of file itkGridScheduleComputer.h.

## m_ImageOrigin

template<typename TTransformScalarType, unsigned int VImageDimension>

OriginType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_ImageOrigin {}

private

Declare member variables, needed in functions.

Definition at line 175 of file itkGridScheduleComputer.h.

## m_ImageRegion

template<typename TTransformScalarType, unsigned int VImageDimension>

RegionType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_ImageRegion {}

private

Definition at line 177 of file itkGridScheduleComputer.h.

## m_ImageSpacing

template<typename TTransformScalarType, unsigned int VImageDimension>

SpacingType itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_ImageSpacing {}

private

Definition at line 176 of file itkGridScheduleComputer.h.

## m_InitialTransform

template<typename TTransformScalarType, unsigned int VImageDimension>

TransformConstPointer itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_InitialTransform {}

protected

Definition at line 156 of file itkGridScheduleComputer.h.

## m_NumberOfLevels

template<typename TTransformScalarType, unsigned int VImageDimension>

unsigned int itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_NumberOfLevels {}

private

Definition at line 180 of file itkGridScheduleComputer.h.

## m_UpsamplingFactor

template<typename TTransformScalarType, unsigned int VImageDimension>

float itk::GridScheduleComputer< TTransformScalarType, VImageDimension >::m_UpsamplingFactor {}

private

Declare member variables, needed internally.

Definition at line 187 of file itkGridScheduleComputer.h.

Generated on 1768596610 for elastix by 1.15.0 |